#!/usr/bin/Rscript

library(coco4r)                 # load the coconad for R library
data(trains)                    # load the example spike trains
trains <- tapply(trains[,2], trains[,1], c)
                                # reshape into required input format
# psp  <- coco4r.genpsp(trains)   # generate a pattern spectrum
psp  <- coco4r.estpsp(trains)   # estimate a pattern spectrum
bdr  <- coco4r.psp2bdr(psp)     # extract the decision border
pats <- coco4r.coconad(trains, border=bdr)
                                # find significant frequent patterns
pats <- coco4r.patred(pats, "S", bdr)
                                # reduce the pattern set
for (i in 1:length(pats))       # print the found frequent item sets
  cat(sort(pats[[i]][[1]]), sprintf("(%g)\n", pats[[i]][[2]]))
cat(sprintf("%d pattern(s)\n", length(pats)))
